curl --request GET \
--url https://li.quest/v1/gas/suggestion/{chain}import requests
url = "https://li.quest/v1/gas/suggestion/{chain}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://li.quest/v1/gas/suggestion/{chain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get a gas suggestion for the specified chain
Endpoint to retrieve a suggestion on how much gas is needed on the requested chain. The suggestion is based on the average price of 10 approvals and 10 uniswap based swaps via LI.FI on the specified chain.
If fromChain and fromToken are specified, the result will contain information about how much fromToken amount the user has to send to receive the suggested gas amount on the requested chain.
Headers
Authentication header, register in the LI.FI Partner Portal (https://portal.li.fi/ ) to get your API Key.
Path Parameters
Chain from which gas prices should be shown (can be a chain id or a chain key)
Query Parameters
If fromChain and fromToken are specified, the result will contain information about how much fromToken amount the user has to send to receive the suggested gas amount on the requested chain.
If fromChain and fromToken are specified, the result will contain information about how much fromToken amount the user has to send to receive the suggested gas amount on the requested chain.
Response
{ "available": true, "recommended": { "token": { "address": "0x0000000000000000000000000000000000000000", "chainId": 137, "symbol": "MATIC", "decimals": 18, "name": "MATIC", "priceUSD": "1.219821", "logoURI": "https://static.debank.com/image/matic_token/logo_url/matic/6f5a6b6f0732a7a235131bd7804d357c.png", "coinKey": "MATIC" }, "amount": "190510922050970750", "amountUsd": "0.23" }, "limit": { "token": { "address": "0x0000000000000000000000000000000000000000", "chainId": 137, "symbol": "MATIC", "decimals": 18, "name": "MATIC", "priceUSD": "1.219821", "logoURI": "https://static.debank.com/image/matic_token/logo_url/matic/6f5a6b6f0732a7a235131bd7804d357c.png", "coinKey": "MATIC" }, "amount": "1639584824330782959", "amountUsd": "2" }, "fromToken": { "address": "eth", "symbol": "ETH", "decimals": 18, "chainId": 1, "name": "ETH", "coinKey": "ETH", "priceUSD": "1622.39", "logoURI": "https://static.debank.com/image/token/logo_url/eth/935ae4e4d1d12d59a99717a24f2540b5.png" }, "fromAmount": "141766159801281" }

